Debian Bug report logs - #364772
manpages-dev: please make fgets() SEE ALSO getline()

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Tue, 25 Apr 2006 16:03:01 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version manpages-dev/2.22-1

Fixed in version 2.39-1

Done: Justin Pryzby <justinpryzby@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#364772; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: submit@bugs.debian.org
Subject: manpages-dev: please make fgets() SEE ALSO getline()
Date: Tue, 25 Apr 2006 11:52:05 -0400
Package: manpages-dev
Version: 2.22-1
Severity: wishlist

$subject.  for () fgets() is commonly used to read a line of unknown
length, functionality which is already implemented (with a
probably-better implementation) in getline().  This is glibc specific,
but it is my understanding that sufficiently gnuish people can use it
portably with some gnulib foo.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#364772; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 364772@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>,364772@bugs.debian.org
Subject: Re: Bug#364772: manpages-dev: please make fgets() SEE ALSO getline()
Date: Tue, 25 Apr 2006 21:44:06 +0200 (MEST)
Hello Justin,

> $subject.  for () fgets() is commonly used to read a line of unknown
> length, functionality which is already implemented (with a
> probably-better implementation) in getline().  This is glibc specific,
> but it is my understanding that sufficiently gnuish people can use it
> portably with some gnulib foo.

Can you be more precise -- give me some further detail on the last 
sentence?

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#364772; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 364772@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Michael Kerrisk <mtk-manpages@gmx.net>, 364772@bugs.debian.org
Subject: Re: Bug#364772: manpages-dev: please make fgets() SEE ALSO getline()
Date: Tue, 25 Apr 2006 15:50:41 -0400
On Tue, Apr 25, 2006 at 09:44:06PM +0200, Michael Kerrisk wrote:
> Hello Justin,
> 
> > $subject.  for () fgets() is commonly used to read a line of unknown
> > length, functionality which is already implemented (with a
> > probably-better implementation) in getline().  This is glibc specific,
> > but it is my understanding that sufficiently gnuish people can use it
> > portably with some gnulib foo.
> 
> Can you be more precise -- give me some further detail on the last 
> sentence?
Just a bit (I'm not sufficiently GNUish).  I've seens lots of software
that inclues, for example, getopt.c.  I've worked with code that has
its own dirname.c and basename.c.  And I have a particular use for an
asprintf.c, though I don't actually know how to this the right way
(yet!).

On Debian, we have /usr/share/gnulib/lib/getline.c which you're
supposed to be able to pull into your own projects using this strange
/usr/bin/gnulib-tool foo.  The idea being that you can work in a "gnu
environment" even when not linking against glibc.

This is deliberately true for pretty much all the gnu specific stuff.
I just think it would be convenient to reference the function to make
it more easily visible.

That is the full extant of my current knowledge here :/



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#364772; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 364772@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: 364772@bugs.debian.org,control@bugs.debian.org
Subject: Re: Bug#364772: manpages-dev: please make fgets() SEE ALSO getline()
Date: Tue, 25 Apr 2006 22:35:18 +0200 (MEST)
tags 364772 fixed-upstream
thanks

Justin thanks for the info.  Change made for 2.31.

Cheers,

Michael

getline.3
    Justin Pryzby
        Add SEE ALSO pointing to getline.3.
        See Debian bug 364772


-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 364772-done@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 364772-done@bugs.debian.org, 367014-done@bugs.debian.org, 367851-done@bugs.debian.org, 368646-done@bugs.debian.org, 368995-done@bugs.debian.org
Cc: Martin Schulze <joey@debian.org>, Michael Kerrisk <mtk-manpages@gmx.net>
Subject: fixed in recent uploads of manpages ("My 2006 Bugs" edition)
Date: Sun, 7 Jan 2007 23:07:09 -0500
Version: 2.39-1

These bugs are all reported fixed by the upstream manpages maintainer,
Michael Kerrisk.  For my own convenience, I'm marking them all as
"fixed by version 2.39-1", even though some of them are fixed by
earlier uploads.  The bug number, reported fixed-in version, and title
are listed below:

 #364772 2.31 Please make fgets() SEE ALSO getline()
 #367014      Please document in open.2 that S_IREAD and friends are obsolete
 #367851 2.33 Please document strchrnul.3
 #368646 2.34 offsetof: Please include documentation
 #368995 2.34 sections with lowercase letters

Justin



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 12:07:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:40:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.